Diskselector

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Functions
Diskselector

## Functions
EINA_DEPRECATED void | elm_diskselector_bounce_set (Evas_Object *obj, Eina_Bool h_bounce, Eina_Bool v_bounce)
| Set bouncing behaviour when the scrolled content reaches an edge. More...
EINA_DEPRECATED void | elm_diskselector_bounce_get (const Evas_Object *obj, Eina_Bool *h_bounce, Eina_Bool *v_bounce)
| Get the bouncing behaviour of the internal scroller. More...
EINA_DEPRECATED void | elm_diskselector_scroller_policy_get (const Evas_Object *obj, Elm_Scroller_Policy *policy_h, Elm_Scroller_Policy *policy_v)
| Get the scrollbar policy. More...
EINA_DEPRECATED void | elm_diskselector_scroller_policy_set (Evas_Object *obj, Elm_Scroller_Policy policy_h, Elm_Scroller_Policy policy_v)
| Set the scrollbar policy. More...
Evas_Object * | elm_diskselector_add (Evas_Object *parent)
| Add a new diskselector widget to the given parent Elementary (container) object. More...

## Detailed Description

A diskselector is a kind of list widget. It scrolls horizontally, and can contain label and icon objects. Three items are displayed with the selected one in the middle.

It can act like a circular list with round mode and labels can be reduced for a defined length for side items.

This widget implements the elm-scrollable-interface interface, so that all (non-deprecated) functions for the base Scroller widget also work for diskselectors.

Some calls on the diskselector's API are marked as deprecated, as they just wrap the scrollable widgets counterpart functions. Use the ones we point you to, for each case of deprecation here, instead – eventually the deprecated ones will be discarded (next major release).

This widget emits the following signals, besides the ones sent from Layout:

- `"selected"` - when item is selected, i.e. scroller stops.
- `"clicked"` - This is called when a user clicks an item (since 1.8)
- `"scroll,anim,start"` - scrolling animation has started
- `"scroll,anim,stop"` - scrolling animation has stopped
- `"scroll,drag,start"` - dragging the diskselector has started
- `"scroll,drag,stop"` - dragging the diskselector has stopped
- `"focused"` - When the diskselector has received focus. (since 1.8)
- `"unfocused"` - When the diskselector has lost focus. (since 1.8)
- `"language,changed"` - the program's language changed (since 1.9)

Note
  The "scroll,anim,*" and "scroll,drag,*" signals are only emitted by user intervention.

Available styles for it:

- `"default"`

Default content parts of the diskselector items that you can use for are:

- "icon" - An icon in the diskselector item

Default text parts of the diskselector items that you can use for are:

- "default" - A label of the diskselector item

Supported elm_object_item common APIs.

- elm_object_item_del
- elm_object_item_part_text_set
- elm_object_item_part_text_get
- elm_object_item_part_content_set
- elm_object_item_part_content_get

List of examples:

- Diskselector widget example
- Diskselector - Items management

## Function Documentation

Evas_Object* elm_diskselector_add | ( | Evas_Object * | parent | ) |

Add a new diskselector widget to the given parent Elementary (container) object.

Parameters

  parent | The parent object.

Returns
  a new diskselector widget handle or `NULL`, on errors.

This function inserts a new diskselector widget on the canvas.

EINA_DEPRECATED void elm_diskselector_bounce_get | ( | const Evas_Object * | obj,
|  | Eina_Bool * | h_bounce,
|  | Eina_Bool * | v_bounce
| ) |  |

Get the bouncing behaviour of the internal scroller.

Get whether the internal scroller should bounce when the edge of each axis is reached scrolling.

Parameters

  obj | The diskselector object.
  h_bounce | Pointer to store the bounce state of the horizontal axis.
  v_bounce | Pointer to store the bounce state of the vertical axis.

Deprecated:
  Use elm_scroller_bounce_get() instead.

See also
  elm_scroller_bounce_get()
  elm_diskselector_bounce_set()

EINA_DEPRECATED void elm_diskselector_bounce_set | ( | Evas_Object * | obj,
|  | Eina_Bool | h_bounce,
|  | Eina_Bool | v_bounce
| ) |  |

Set bouncing behaviour when the scrolled content reaches an edge.

Tell the internal scroller object whether it should bounce or not when it reaches the respective edges for each axis.

Parameters

  obj | The diskselector object.
  h_bounce | Whether to bounce or not in the horizontal axis.
  v_bounce | Whether to bounce or not in the vertical axis.

Deprecated:
  Use elm_scroller_bounce_set() instead.

See also
  elm_scroller_bounce_set()

EINA_DEPRECATED void elm_diskselector_scroller_policy_get | ( | const Evas_Object * | obj,
|  | Elm_Scroller_Policy * | policy_h,
|  | Elm_Scroller_Policy * | policy_v
| ) |  |

Get the scrollbar policy.

See also
  elm_diskselector_scroller_policy_get() for details.

Parameters

  obj | The diskselector object.
  policy_h | Pointer to store horizontal scrollbar policy.
  policy_v | Pointer to store vertical scrollbar policy.

Deprecated:
  Use elm_scroller_policy_get() instead.

See also
  elm_scroller_policy_get()

EINA_DEPRECATED void elm_diskselector_scroller_policy_set | ( | Evas_Object * | obj,
|  | Elm_Scroller_Policy | policy_h,
|  | Elm_Scroller_Policy | policy_v
| ) |  |

Set the scrollbar policy.

Parameters

  obj | The diskselector object.
  policy_h | Horizontal scrollbar policy.
  policy_v | Vertical scrollbar policy.

This sets the scrollbar visibility policy for the given scroller. #ELM_SCROLLER_POLICY_AUTO means the scrollbar is made visible if it is needed, and otherwise kept hidden. #ELM_SCROLLER_POLICY_ON turns it on all the time, and #ELM_SCROLLER_POLICY_OFF always keeps it off. This applies respectively for the horizontal and vertical scrollbars.

The both are disabled by default, i.e., are set to #ELM_SCROLLER_POLICY_OFF.

Deprecated:
  Use elm_scroller_policy_set() instead.

See also
  elm_scroller_policy_set()